### Hierarchy

- JenkinsView

### Implements

- IJenkinsView

## Index

### Constructors

- constructor

### Properties

- _class
- description
- jobs
- jsonData
- name
- property
- url

### Methods

- fromJson
- fromJsonString
- getJsonData

## Constructors

### constructor

- new JenkinsView(): JenkinsView

- - Defined in JenkinsView.ts:16

  #### Returns JenkinsView

## Properties

### _class

_class: string

Implementation of IJenkinsView._class

- Defined in JenkinsView.ts:13

### description

description: string

Implementation of IJenkinsView.description

- Defined in JenkinsView.ts:12

### jobs

jobs: Array<IJenkinsJob>

Implementation of IJenkinsView.jobs

- Defined in JenkinsView.ts:14

### jsonData

jsonData: JSON

- Defined in JenkinsView.ts:7

### name

name: string

Implementation of IJenkinsView.name

- Defined in JenkinsView.ts:9

### property

property: Array<any>

Implementation of IJenkinsView.property

- Defined in JenkinsView.ts:16

### url

url: string

Implementation of IJenkinsView.url

- Defined in JenkinsView.ts:10

## Methods

### fromJson

- fromJson(data: JSON): void

- Implementation of IJenkinsView.fromJson

  - Defined in JenkinsView.ts:34

  #### Parameters

  - ##### data: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Implementation of IJenkinsView.fromJsonString

  - Defined in JenkinsView.ts:27

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- Implementation of IJenkinsView.getJsonData

  - Defined in JenkinsView.ts:23

  #### Returns string

Generated using TypeDoc